Loading...
Searching...
No Matches
unity::shell::scopes::OptionSelectorFilterInterface Class Referenceabstract
Inheritance diagram for unity::shell::scopes::OptionSelectorFilterInterface:
[legend]
Collaboration diagram for unity::shell::scopes::OptionSelectorFilterInterface:
[legend]

## Signals

void | labelChanged (const QString &)
void | multiSelectChanged (bool)
Signals inherited from unity::shell::scopes::FilterBaseInterface
void | titleChanged ()

## Public Member Functions

FiltersInterface::FilterType | filterType () const override
virtual QString | label () const =0
virtual bool | multiSelect () const =0
virtual OptionSelectorOptionsInterface * | options () const =0
Public Member Functions inherited from unity::shell::scopes::FilterBaseInterface
virtual QString | filterId () const =0
virtual QString | title () const =0
virtual QString | filterTag () const =0

## Properties

QString | label
bool | multiSelect
unity::shell::scopes::OptionSelectorOptionsInterface * | options
Properties inherited from unity::shell::scopes::FilterBaseInterface
QString | filterId
QString | title
unity::shell::scopes::FiltersInterface::FilterType | filterType

## Member Function Documentation

## filterType()

FiltersInterface::FilterType unity::shell::scopes::OptionSelectorFilterInterface::filterType | ( |  | ) | const

inline override virtual

Implements unity::shell::scopes::FilterBaseInterface.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/OptionSelectorFilterInterface.h